<div class="container" style="min-height: 500px; ">
  <div>

    <div class="event_img">
      <%= image_tag @event.image_url, style:"max-width:100%"%>
    </div>
    <% if @event.event_date >= Date.today %>
      <div class="event_date_name">
        <div class="event_show">
          <%= @event.event_date.strftime("%a, %b %d, %Y") %>
        </div>
        <div class="event_show">
          <h3 class="section_title"><%= @event.name %></h3>
        </div>
        <div class="event_show">
        <small> <%= @event.workshop_type %></small><br />
        </div>
                <br />
                  <div class="event_show" >
                    <div>
                    <% if @event.speaker_image.present? %>
                      <%= image_tag @event.speaker_image, style: "border-radius: 50%; width: 100px;" %>
                      <% end %>
                    </div>
                    
                    <div style="padding: 5px;">
                      <%= @event.speaker&.html_safe %>
                    </div>
                    
                    <div class="clear-height"></div>
                  </div>
     

        <div class="event_show">
           <%= link_to 'Print QR Code', print_qr_event_path(@event) %>
        </div>
        <div class="event_show">
           <%= link_to 'Registration link', new_event_registration_path(@event) %>
        </div>

      </div>
    <% else %>
      <div class="event_closed" >
        Event closed
      </div>
    <% end %>
    
    <div class="clear-height"></div>

  </div>

  <hr />
 
  <div>
    <div class="lbl_desc" >
      <% if @event.description.present? %>
      <h5 class="event_show_h5">
        Description
      </h5>
      <% end %>
      <div class="event_desc">
        <%= @event.description.html_safe %>
      </div>
    </div>
    <div class="event_date_location">
      <div class="event_date_time">
        <h5 class="event_show_h5">Date and Time</h5> 
        <%= @event.event_date.strftime("%a, %b %d, %Y") %><br />
        <%= @event.event_date.strftime("%I:%M%P") %> to 
        <%= (@event.event_date + @event.duration.minutes).strftime("%I:%M%P") %>
      </div>
      <% if @event.venue.present? %>
        <div class="event_show">
          <h5 class="event_show_h5">Location</h5> 
          <%= @event.venue %>
        </div>
      <% end %>
    </div>
    <div class="clear-height"></div>
  </div>
  
  <%# if @user_events.present? %>
  <% if @event_registrations.present? %>
    <hr />

    <div class="user_div"> 
      <h5 class="event_show_h5">Registered participants list</h5>
      <ul>
        <%# @user_events.each do |user_event| %>
        <% @event_registrations.each do |reg_user| %>
          <li style="width: 50%; float: left; padding: 5px;">
            <span> 
              <%#= user_event.user.name.split(' ').collect{|s| s.first}.join("").upcase %> 
              <%= reg_user.name.split(' ').collect{|s| s.first}.join("").upcase %>
            </span>
            <div class="user_div_name">
              <%#= user_event.user.name %><br />
              <%#= user_event.user.school_college_institution %>
              <%= reg_user.name %><br />
                          <%= reg_user.company %>
            </div>
          </li>
        <% end %>
        <li class="clear-height"></li>
      </ul>                
    </div>
      
    
  <% end %>
</div>

<div class="event_show_edit">
  <%= link_to 'Edit', edit_event_path, class: "btn", style:"width: 20%;" %>
</div>














